﻿@page "/customer/create"

<h3>Create new customer</h3>

<p>
    <a href="/customer">
        Return to index
    </a>
</p>

<CustomerCreateEditForm @bind-Form="Form" OnSubmit="OnSubmit"></CustomerCreateEditForm>

@code {
    [Inject]
    public IDbContextFactory<ShopDbContext> DbFactory { set; get; }

    public CustomerCreateEditFormModel Form { set; get; } = new CustomerCreateEditFormModel();

    async Task OnSubmit(CustomerCreateEditFormModel form)
    {
        using var db = DbFactory.CreateDbContext();

        db.Customers.Add(new Customer
        {
            CustomerID = Guid.NewGuid(),
            Name = form.Name,
            Email = form.Email
        });
        await db.SaveChangesAsync();

        Form = new CustomerCreateEditFormModel();
    }
}
